# Crawler

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781991963803181056) to try this widget and copy the Pro Config template.

## Usage

Given the target website url, return the markdown string of the content

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>url</td><td><code>string</code></td><td>The target website url</td><td></td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name             | Type     | Description                  | File Type |
| ---------------- | -------- | ---------------------------- | --------- |
| markdown\_string | `string` | The raw content of given url |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "markdown_string": "Title: MyShell - An Ultimate Place for AI Apps Creation, Discover, and Earn\n\nURL Source: https://app.myshell.ai/explore\n\nMarkdown Content:\nExplore\n-------\n"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/ko/create/pro-config-mode/api-reference/widgets/9-crawler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
